Bug 1012287 - OS type of imported templates is set to "other OS" and can not be changed via webadmin nor API
OS type of imported templates is set to "other OS" and can not be changed via...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Roy Golan
Pavel Novotny
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
Reported: 2013-09-26 04:16 EDT by David Jaša
Modified: 2014-01-21 17:32 EST (History)
9 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19130 None None None Never

  None (edit)
Description David Jaša 2013-09-26 04:16:40 EDT
Description of problem:
OS type of imported templates is set to "other OS" and can not be changed via webadmin nor API

Version-Release number of selected component (if applicable):
is16 / rhevm-3.3.0-0.22.master.el6ev.noarch

How reproducible:

Steps to Reproduce:
1. import windows template for other setups
2. look up their OS type
3. try to change it from other

Actual results:
2. os type is set to "Other OS" / other
3. the operation fails with:
    <reason>Operation Failed</reason>
    <detail>[Failed updating the properties of the VM template.]</detail>
Error while executing action: <...> Failed updating the properties of the VM template.

Expected results:
the OS type is imported correctly and it can be changed subsequently

Additional info:
Comment 1 Roy Golan 2013-10-14 07:18:21 EDT
merged already to 3.3
Comment 2 Eyal Edri 2013-10-20 13:59:11 EDT
moving to on_qa based on comment #1
Comment 3 Pavel Novotny 2013-10-21 04:34:07 EDT
Fixed in version?
Comment 4 Pavel Novotny 2013-10-23 07:02:43 EDT
Verified in rhevm-3.3.0-0.27.beta1.el6ev.noarch (is19).

OS type is preserved after template import and not changed to Other OS or some other value.

The OS type can be updated - verified in User Portal, Admin portal and REST API.
Comment 5 Itamar Heim 2014-01-21 17:32:33 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:32:38 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.